<?php
/********************************************
* 
* System:   EASY 2.0 Loginsystem
* Author:   Marius Rasche (aka Marlight)
* File:     index.php
* FVersion: 0.1.2 (this file)
* SVersion: 0.9.8.1 (complete System)
* Date:     04.03.2018
*
* Created by www.marlight-systems.de
* Copyright by Marlight Systems (www.marlight-systems.de)
* All rights reserved.
* 
*********************************************/

// Session starten | Start session
session_name("EASY_2");
session_start();

// Fehler-Ausgabe | Error output
error_reporting(E_ALL);
ini_set('display_errors', false);

// For install
if(!file_exists('./system/config.inc.php')){
	if(is_dir('./install/') && file_exists('./install/index.php'))
		header('Location: ./install/index.php');
	exit('System nicht installiert!');
}

// Dateien einbinden | Including files
require_once('./system/config.inc.php');
require_once('./system/functions.inc.php');
require_once('./system/functions.user.php');
require_once('./system/classes.run.php');
require_once('./system/classes.run.user.php');
require_once('./system/run.inc.php');
require_once('./system/run.user.php');
require_once('./system/error_handling.php');

$sites->includeSite(true);

?>
<!DOCTYPE html>
<html lang="de">
  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title><?php echo $sites->getSiteName(); ?></title>
	<!-- Favicon -->
	<link rel="shortcut icon" href="favicon.ico">
	
    <!-- Bootstrap core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
  	<link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
  	<link href="vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    <link href="css/sb-admin.css" rel="stylesheet">
	<link href="css/mlsystems.css" rel="stylesheet">

  </head>
  <body class="<?php if($loginsystem->is_locked() == false && $loginsystem->login_session() == true) echo 'fixed-nav sticky-footer'; ?> bg-dark" id="page-top">
	<?php if($loginsystem->is_locked() == false){ ?>
		<?php if($loginsystem->login_session() == true){ ?>
		<!-- Navigation-->
		  <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" id="mainNav">
			<a class="navbar-brand" href="./"><?php echo $loginsystem->getMainData('short_site_title'); ?></a>
			<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
			  <span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
			  <ul class="navbar-nav navbar-sidenav" id="mainAccordion">
				  <?php echo $menu->getMenu(); ?>
			  </ul>
			  <ul class="navbar-nav sidenav-toggler">
				<li class="nav-item">
				  <a class="nav-link text-center" id="sidenavToggler">
					<i class="fa fa-fw fa-angle-left"></i>
				  </a>
				</li>
			  </ul>
			  <ul class="navbar-nav ml-auto">
				<li class="nav-item dropdown">
				  <a class="nav-link dropdown-toggle mr-lg-2" id="messagesDropdown" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<i class="fa fa-fw fa-envelope"></i>
					<span class="d-lg-none">Messages
					  <span class="badge badge-pill badge-primary">12 New</span>
					</span>
					<span class="indicator text-primary d-none d-lg-block">
					  <i class="fa fa-fw fa-circle"></i>
					</span>
				  </a>
				  <div class="dropdown-menu" aria-labelledby="messagesDropdown">
					<h6 class="dropdown-header">New Messages:</h6>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <strong>David Miller</strong>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">Hey there! This new version of SB Admin is pretty awesome! These messages clip off when they reach the end of the box so they don't overflow over to the sides!</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <strong>Jane Smith</strong>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">I was wondering if you could meet for an appointment at 3:00 instead of 4:00. Thanks!</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <strong>John Doe</strong>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">I've sent the final files over to you for review. When you're able to sign off of them let me know and we can discuss distribution.</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item small" href="#">View all messages</a>
				  </div>
				</li>
				<li class="nav-item dropdown">
				  <a class="nav-link dropdown-toggle mr-lg-2" id="alertsDropdown" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<i class="fa fa-fw fa-bell"></i>
					<span class="d-lg-none">Alerts
					  <span class="badge badge-pill badge-warning">6 New</span>
					</span>
					<span class="indicator text-warning d-none d-lg-block">
					  <i class="fa fa-fw fa-circle"></i>
					</span>
				  </a>
				  <div class="dropdown-menu" aria-labelledby="alertsDropdown">
					<h6 class="dropdown-header">New Alerts:</h6>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <span class="text-success">
						<strong>
						  <i class="fa fa-long-arrow-up fa-fw"></i>Status Update</strong>
					  </span>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">This is an automated server response message. All systems are online.</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <span class="text-danger">
						<strong>
						  <i class="fa fa-long-arrow-down fa-fw"></i>Status Update</strong>
					  </span>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">This is an automated server response message. All systems are online.</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item" href="#">
					  <span class="text-success">
						<strong>
						  <i class="fa fa-long-arrow-up fa-fw"></i>Status Update</strong>
					  </span>
					  <span class="small float-right text-muted">11:21 AM</span>
					  <div class="dropdown-message small">This is an automated server response message. All systems are online.</div>
					</a>
					<div class="dropdown-divider"></div>
					<a class="dropdown-item small" href="#">View all alerts</a>
				  </div>
				</li>
				<li class="nav-item">
				  <form class="form-inline my-2 my-lg-0 mr-lg-2">
					<div class="input-group">
					  <input class="form-control" type="text" placeholder="Search for...">
					  <span class="input-group-btn">
						<button class="btn btn-primary" type="button">
						  <i class="fa fa-search"></i>
						</button>
					  </span>
					</div>
				  </form>
				</li>
				<li class="nav-item">
				  <a class="nav-link" data-toggle="modal" data-target="#exampleModal">
					<i class="fa fa-fw fa-sign-out"></i>Abmelden</a>
				</li>
			  </ul>
			</div>
		  </nav><!-- Navigation -->
		<?php } ?>
	  
		<?php include($sites->includeSite()); ?>
	  
		<?php if($loginsystem->login_session() == true){ ?>

		<footer class="sticky-footer">
		  <div class="container">
			<div class="text-center">
			  <small>Copyright &copy; Your Website 2017</small>
			</div>
		  </div>
		</footer>
		<!-- Scroll to Top Button-->
		<a class="scroll-to-top rounded" href="#page-top">
		  <i class="fa fa-angle-up"></i>
		</a>
		<!-- Logout Modal-->
		<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		  <div class="modal-dialog" role="document">
			<div class="modal-content">
			  <div class="modal-header">
				<h5 class="modal-title" id="exampleModalLabel">Abmelden?</h5>
				<button class="close" type="button" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">×</span>
				</button>
			  </div>
			  <div class="modal-body">M&ouml;chtest du dich wirklich ausloggen?</div>
			  <div class="modal-footer">
				<button class="btn btn-secondary" type="button" data-dismiss="modal">Abbrechen</button>
				<a class="btn btn-primary" href="?c=logout&csrf=<?php echo $loginsystem->getData('csrfToken'); ?>">Abmelden</a>
			  </div>
			</div>
		  </div>
		</div>
	  <?php } ?>
	<?php } else { // Benutzer gesperrt
			require_once('./templates/login/locked.php');
		} ?>
    <!-- Bootstrap core JavaScript -->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
    <!-- Page level plugin JavaScript-->
	<?php if(empty($p) || $p == 'home' || $p == 'charts'){ ?>
    	<script src="vendor/chart.js/Chart.min.js"></script>
    	<script src="vendor/datatables/jquery.dataTables.js"></script>
    	<script src="vendor/datatables/dataTables.bootstrap4.js"></script>
	<?php } elseif($p == 'tables'){ ?>
		<script src="vendor/datatables/jquery.dataTables.js"></script>
		<script src="vendor/datatables/dataTables.bootstrap4.js"></script>
	<?php } ?>
    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin.min.js"></script>
    <!-- Custom scripts for this page-->
 	<?php if(empty($p) || $p == 'home' || $p == 'charts'){ ?>
   		<script src="js/sb-admin-datatables.min.js"></script>
    	<script src="js/sb-admin-charts.min.js"></script>
	<?php } elseif($p == 'tables'){ ?>
   		<script src="js/sb-admin-datatables.min.js"></script>
	<?php } ?>

  </body>

</html>
